Subject: Re: bug#954: indentation in latex-mode in emacs-23

From: martin rudalics <[email-masked]>
Date: Wed, 24 Sep 2008 19:01:41 +0200

> I prefer the current form because I think that
 >
 > \begin{math}
 >   a = b
 > \end{math}
 >
 > and
 >
 > \(
 >   a = b
 > \)
 >
 > should be formatted the same.

I think so too.  On the other hand, indenting habits are persistent.
And, according to Leslie, there doesn't seem to exist a convention for
indentation of LaTeX source.

 > A comment in the original bug that
 > motivated this change seems more convincing to me:
 >
 > http://lists.gnu.org/archive/html/bug-gnu-emacs/2007-09/msg00045.html
 >
 >     The correct solution would require that \(, \), \[, and \] are
 >     treated the same as \begin{math}, \end{math}, \begin{displaymath},
 >     and \end{displaymath}. (The latter are defined in terms of the
 >     former in latex.ltx.)
 >
 > But I have to admit that: i) I use AUCTeX; and ii) I don't use \( \),
 > so take all that with a large grain of salt. :)

I don't know - how does AUCTeX indent this?

 > So please just check that whatever change is installed does not bring
 > back the original tex-validate-region problem:
 >
 > http://lists.gnu.org/archive/html/bug-gnu-emacs/2007-09/msg00038.html

Sure.  I strongly hope that `tex-validate-region' doesn't care about
indentation.

martin